"use strict";
exports.__esModule = true;
var implicit_return_to_explicit_1 = require("../implicit-return-to-explicit");
var range = require("../../range");
var test_utils_1 = require("./test-utils");
var buildEditResponse = test_utils_1.createBuildFunction(implicit_return_to_explicit_1["default"]);
describe('javascript', function () {
    it('simple', function () {
        var source = '() => test()';
        var r = buildEditResponse(source, range.create(1, 6, 1, 6));
        expect(r).toEqual({
            newText: '{\n    return test();\n}',
            range: { end: { column: 12, line: 1 }, start: { column: 6, line: 1 } },
            title: 'Use explicit return'
        });
    });
});
